public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-office/texstudio/, app-office/texstudio/files/
@ 2023-12-03 14:15 Andrey Grozin
  0 siblings, 0 replies; only message in thread
From: Andrey Grozin @ 2023-12-03 14:15 UTC (permalink / raw
  To: gentoo-commits

commit:     9d0530bd7c1e24a5a613194d05d610359985a474
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  3 14:14:38 2023 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Dec  3 14:14:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d0530bd

app-office/texstudio: bump to 4.7.0

Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 app-office/texstudio/Manifest                      |  1 +
 .../texstudio/files/texstudio-4.7.0-quazip.patch   | 18 +++++
 app-office/texstudio/texstudio-4.7.0.ebuild        | 80 ++++++++++++++++++++++
 3 files changed, 99 insertions(+)

diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 36213a3863df..d7d14e6b3e22 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -1 +1,2 @@
 DIST texstudio-4.3.1.tar.gz 90529450 BLAKE2B 500f42f8a540aff97d8bb8d65262d6e0a758ccfb431fa00d9aa6e848d76da9eb1320dc3bc5a472e15d4492174e2817181271243c581830958c5e370751ed0b36 SHA512 6fc8717ed22e21947260d0af5c5b857f9b79476f28f400f9036134d9de2d9e11a605a871b6c8d520b366cb43f3fb61bb89c411e5c11aee1e87642e77fe1b0560
+DIST texstudio-4.7.0.tar.gz 111575088 BLAKE2B 0d057258c3f695a6b10c8c12d814a8b7be01be69dabb499888108b59182d9ebe36b874017bb1b7921caa56387ea3e961ef067e72c140daa555a5cfb2f7360de7 SHA512 ebdee95e02323ee4df757248ca6861938f1c73536ea0d8a5212d741adfb5859087b691ccb59b153036f9beb562292014332f0e76679df84d91897895ec9f6339

diff --git a/app-office/texstudio/files/texstudio-4.7.0-quazip.patch b/app-office/texstudio/files/texstudio-4.7.0-quazip.patch
new file mode 100644
index 000000000000..f8b65d665fbc
--- /dev/null
+++ b/app-office/texstudio/files/texstudio-4.7.0-quazip.patch
@@ -0,0 +1,18 @@
+diff -U3 -r texstudio-4.7.0.orig/texstudio.pro texstudio-4.7.0/texstudio.pro
+--- texstudio-4.7.0.orig/texstudio.pro	2023-11-28 03:20:38.000000000 +0700
++++ texstudio-4.7.0/texstudio.pro	2023-12-03 20:59:39.074498926 +0700
+@@ -371,11 +371,9 @@
+         PKGCONFIG += quazip1-qt6
+     }
+     !versionGreaterOrEqual($$QT_VERSION, "6.0.0") {
+-            message(System quazip5)
+-            isEmpty(QUAZIP_LIB): QUAZIP_LIB = -lquazip5
+-            isEmpty(QUAZIP_INCLUDE): QUAZIP_INCLUDE = $${PREFIX}/include/quazip5
+-            INCLUDEPATH += $${QUAZIP_INCLUDE}
+-            LIBS += $${QUAZIP_LIB}
++        message(System QuaZip)
++        CONFIG += link_pkgconfig
++        PKGCONFIG += quazip1-qt5
+     }
+ }
+ 

diff --git a/app-office/texstudio/texstudio-4.7.0.ebuild b/app-office/texstudio/texstudio-4.7.0.ebuild
new file mode 100644
index 000000000000..741b8dfe5f58
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.7.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop qmake-utils xdg
+
+MY_PV="${PV/_/}"
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="video"
+
+DEPEND="
+	app-text/hunspell:=
+	app-text/poppler:=[qt5]
+	>=dev-libs/quazip-1.0:0=[qt5(+)]
+	dev-qt/designer:5
+	dev-qt/qtcore:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtsingleapplication[qt5(+),X]
+	dev-qt/qtsvg:5
+	dev-qt/qttest:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	sys-libs/zlib
+	x11-libs/libX11
+	x11-libs/libXext
+	video? ( >=media-libs/phonon-4.11.0 )
+"
+RDEPEND="
+	${DEPEND}
+	app-text/ghostscript-gpl
+	app-text/psutils
+	media-libs/netpbm
+	virtual/latex-base
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}/${P}-quazip.patch" # TODO: upstream
+)
+
+src_prepare() {
+	# TODO: find hunspell quazip utilities/poppler-data qtsingleapplication -delete || die
+	rm -r src/quazip || die
+
+	if use video; then
+		sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+	fi
+
+	sed -e "/qtsingleapplication.pri/s/.*/CONFIG += qtsingleapplication/" \
+		-i ${PN}.pro || die
+	default
+}
+
+src_configure() {
+	eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1 NO_TESTS=false
+}
+
+src_install() {
+	local i
+	for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+		newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+	done
+
+	emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+
+	# We don't install licences per package
+	rm "${ED}"/usr/share/texstudio/COPYING || die
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2023-12-03 14:15 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-12-03 14:15 [gentoo-commits] repo/gentoo:master commit in: app-office/texstudio/, app-office/texstudio/files/ Andrey Grozin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox